Account
Create deposit wallet
Request Body
application/jsonRequiredtypeRequiredstringValue in:
"evm" | "tvm"Response Body
Successful response
TypeScript Definitions
Use the response body type in TypeScript.
dataRequiredobjectError response
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X POST "/v1/account.external.web3.create" \
-H "Content-Type: application/json" \
-d '{
"type": "evm"
}'const body = JSON.stringify({
"type": "evm"
})
fetch("/v1/account.external.web3.create", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "/v1/account.external.web3.create"
body := strings.NewReader(`{
"type": "evm"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "/v1/account.external.web3.create"
body = {
"type": "evm"
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text){
"data": {
"status": "PENDING",
"wallet": {
"type": "WEB3",
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"is_active": true,
"metadata": {
"is_hidden": true,
"address": "string",
"type": "evm",
"nickname": "string",
"connector": {
"id": "string",
"name": "string",
"icon": "string"
},
"has_transactions": true,
"is_custodial": true
},
"account_id": "string",
"user_id": "string"
}
}
}{
"error": {
"code": "PARSE_ERROR",
"message": "string"
}
}